class PlasmaSticker : PlasmaBall replaces PlasmaBall {
	Default {
		RenderStyle "Normal";
		Scale 0.5;
	}
	string MyType;
	override void BeginPlay() {
		super.BeginPlay();

        // random sticker picker
		static const String types[] = {
			"Autistic", "Disagree", "Dislike", "Late", "MATI", "Politisperg", "Powerlevel", "Dumb"
		};
		
		MyType = types[Random(0, 7)];
		SetState(FindStateByString(MyType));
		
	}
	States {
	Spawn:
		TNT1 A 1; // if nothing shows up, there's a problem
		Loop;
	Autistic:
		STKR A 1 Bright;
		Loop;
	Disagree:
		STKR D 1 Bright;
		Loop;
	Dislike:
		STKR I 1 Bright;
		Loop;
	Late:
		STKR L 1 Bright;
		Loop;
	MATI:
		STKR M 1 Bright;
		Loop;
	Politisperg:
		STKR O 1 Bright;
		Loop;
	Powerlevel:
		STKR P 1 Bright;
		Loop;
	Dumb:
		STKR U 1 Bright;
		Loop;
	Death: // state when hitting a wall/ceiling/floor
		TNT1 A 0 {
             A_SprayDecal("Decal" .. MyType);
             A_SetTranslucent(1, 1);
             A_SetScale(1, 1);
        }
	XDeath: // states when hitting actors
	Crash:
		Goto Super::Death;
	}
}
